Home » Services and Admin » ICT Service » Email » Office 365 Minimum Requirements

Office 365 Minimum Requirements

In order to use the Office 365 hosted email service following the October 2013 upgrade to Wave 15, your PC must have these minimum requirements:

 

Operating system:

  • Windows 7 Enterprise, Professional, Ultimate RTM and above
  • Windows Vista Business, Enterprise, Ultimate Service Pack 2 and above
  • Windows XP Professional Service Pack 3 and above with RPC over HTTP Update and Microsoft .NET Framework 3.0+ - N.B. all support for Windows XP ends on 8 April 2014
  • Mac OS X 10.6 (Snow Leopard) or above with Java client 1.4.2

     

E-mail client:

  • Microsoft Outlook 2010 with update KB2553248 installed
  • Microsoft Outlook 2007 Service Pack 3 with update KB2596598 installed
  • Microsoft Outlook for Mac 2011
  • Microsoft Outlook 2008 for Mac and Microsoft Entourage 2008 Web Services Edition

     

Browser for WebMail portal (Outlook Web Access - OWA):

 

Page last updated on 20 August 2017